Page MenuHomePhabricator

Homepage: incorrect text style in mobile help module preview
Closed, ResolvedPublicBUG REPORT

Description

In the context of the mobile Newcomer homepage, the text of the help module preview doesn't have the correct styling. According to mockup's specifications text in help module preview should have growthexperiments-homepage-module-text-light class.

Actual Results:

Expected Results:

Event Timeline

Cntlsn created this task.Aug 12 2019, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 4:29 PM
Cntlsn triaged this task as Medium priority.Aug 12 2019, 4:30 PM
Cntlsn added subscribers: JTannerWMF, Catrope, SBisson and 7 others.
phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:10 AM

Change 530591 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Help: make mobile summary text "light"

https://gerrit.wikimedia.org/r/530591

Change 530591 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help: make mobile summary text "light"

https://gerrit.wikimedia.org/r/530591

For Design review - is the font contrast ratio satisfactory?

betalabstestwiki
RHo added a comment.Aug 21 2019, 1:04 PM

Thanks for checking @Etonkovidova - the contrast ratio for text (Base30 #72777d) on the background ( Base90 #f8f9fa) is indeed not passing AA color contrast. Can we update so that the text color uses Base20 #54595D instead?

Change 531499 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Help: Make light text darker against gray background

https://gerrit.wikimedia.org/r/531499

Thanks for checking @Etonkovidova - the contrast ratio for text (Base30 #72777d) on the background ( Base90 #f8f9fa) is indeed not passing AA color contrast. Can we update so that the text color uses Base20 #54595D instead?

Done in the patch above.

Change 531499 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help: Make light text darker against gray background

https://gerrit.wikimedia.org/r/531499

Checked the last patch:

.growthexperiments-homepage-module-help.growthexperiments-homepage-module-mobile-summary .growthexperiments-homepage-module-text-light {
    color: #54595d;
betalabstestwiki

MMiller_WMF closed this task as Resolved.Aug 29 2019, 12:52 AM

Thank you!